-- Stored procedure
CREATE procedure [C6MartPeriodico].[RP_DM_MAIL_PROFILI_RISCHIO]
AS
BEGIN
truncate table [C6MartPeriodico].[MAIL_PROFILI_RISCHIO]
insert into [C6MartPeriodico].[MAIL_PROFILI_RISCHIO]
SELECT [rete]
      ,[cod_fiscale]
      ,[codicecontratto]
      ,[cod_agente]
      ,[data_sott]
      ,[data_perf]
      ,[flag_invio_report]
      ,[profilo]
      ,[dt_creazione_profilo]
	  ,case
		when profilo = 0 then 1 
		else 0
	   end as flagScaduto
      ,case
		when datediff(dd,dt_creazione_profilo,c6martperiodico.gettrimestre2(getdate(),0)) / 365.25 < 3 then 0
		else 1 
	   end as flagScadenzaTrim
	 ,case
		when datediff(dd,dt_creazione_profilo,c6martperiodico.getNexttrimestre(getdate(),0)) / 365.25 < 3 then 0
		else 1 
	   end as flagScadenzaNextTrim
  FROM [C6StampeCentralizzate].[C6StagingPeriodico].[RP_MAIL_PROFILI_RISCHIO]
end